<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/app_color</item>
        <item name="colorPrimaryDark">@color/app_color</item>
        <item name="colorAccent">@color/app_color</item>
        <item name="android:dropDownListViewStyle">@style/XSpinnerStyle</item>
    </style>
    <style name="Theme.Splash" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="windowNoTitle">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowBackground">@drawable/start_default_bg</item>
        <item name="android:windowFullscreen">true</item>
    </style>

    <style name="wrap_style">
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">wrap_content</item>
    </style>

    <style name="line_style">
        <item name="android:layout_height">1dp</item>
        <item name="android:background">@color/grey_66</item>
        <item name="android:layout_width">match_parent</item>
    </style>

    <declare-styleable name="DrawableTextView">
        <attr name="leftDrawable" format="reference|color"/>
        <attr name="rightDrawable" format="reference|color"/>
        <attr name="topDrawable" format="reference|color"/>
        <attr name="bottomDrawable" format="reference|color"/>

        <attr name="leftDrawableWidth" format="reference|dimension"/>
        <attr name="rightDrawableWidth" format="reference|dimension"/>
        <attr name="topDrawableWidth" format="reference|dimension"/>
        <attr name="bottomDrawableWidth" format="reference|dimension"/>

        <attr name="leftDrawableHeight" format="reference|dimension"/>
        <attr name="rightDrawableHeight" format="reference|dimension"/>
        <attr name="topDrawableHeight" format="reference|dimension"/>
        <attr name="bottomDrawableHeight" format="reference|dimension"/>
    </declare-styleable>

    <declare-styleable name="SPictureSelectView">
        <attr name="psvItemHeight" format="dimension" />
        <attr name="psvItemWidth" format="dimension" />
        <attr name="psvColumns" format="integer" />
        <attr name="psvMaxCount" format="integer" />
        <attr name="psvHorizontalSpec" format="dimension" />
        <attr name="psvVerticalSpec" format="dimension" />
        <attr name="psvDeleteIcon" format="reference" />
        <attr name="psvAddIcon" format="reference" />
    </declare-styleable>

    <style name="Dialog.Style" parent="@android:style/Theme.Dialog">
        <!-- 边框 -->
        <item name="android:windowFrame">@null</item>
        <!-- 是否浮现在activity之上 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 半透明 -->
        <!--        <item name="android:windowIsTranslucent">true</item>-->
        <!-- 无标题 -->
        <item name="android:windowNoTitle">true</item>
        <item name="android:background">@android:color/transparent</item>
        <!-- 背景透明 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!-- 模糊 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 遮罩层 -->
        <item name="android:backgroundDimAmount">0.5</item>
    </style>

    <style name="BottomDialog.Anim" parent="Animation.AppCompat.Dialog">
        <item name="android:windowEnterAnimation">@anim/bottom_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/bottom_dialog_out_anim</item>
    </style>

    <style name="CenterDialog.Anim" parent="Animation.AppCompat.Dialog">
        <item name="android:windowEnterAnimation">@anim/center_dialog_in_anim</item>
        <item name="android:windowExitAnimation">@anim/center_dialog_out_anim</item>
    </style>

    <style name="XSpinnerStyle" parent="android:Widget.ListView.DropDown">
        <!-- 分隔线颜色 -->
        <item name="android:divider">#E5E5E5</item>
        <item name="android:dividerHeight">1dp</item>
    </style>
</resources>
